XkbSASetGroup(3Xkb)

NAME
XkbSASetGroup - Sets the group_XXX field of act from the group index grp

SYNTAX
void XkbSASetGroup macro ( act, grp )
      XkbAction act;
      int grp;

ARGUMENTS

- act
    action from which to set group

- grp
    group index to set in group_XXX

DESCRIPTION

XkbSASetGroup sets the group_XXX field of act from the group index grp.

STRUCTURE

Actions associated with the XkbGroupAction structure change the current group state when keys are pressed and released:
    typedef struct _XkbGroupAction {
        unsigned char    type;       /* XkbSA_{Set|Latch|Lock}Group */
        unsigned char    flags;      /* with type, controls the effect on groups */
        char             group_XXX;  /* represents a group index or delta */
    } XkbGroupAction;